package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.CourseScheduleStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CourseScheduleStatisticsDao extends BaseDAO<Long, CourseScheduleStatistics> {


    //获取需要更新的课程统计信息
    List<CourseScheduleStatistics> queryUpdateCourseScheduleStatistics();

    //获取需要新增的课程统计信息
    List<CourseScheduleStatistics> queryInsertCourseScheduleStatistics();

    void batchUpdate(@Param("scheduleStatisticsList") List<CourseScheduleStatistics> scheduleStatisticsList);

    void batchInsert(@Param("scheduleStatisticsList") List<CourseScheduleStatistics> scheduleStatisticsList);

    void delWaitByCourseId(@Param("courseIdList") List<Long> courseIdList);

    //更新服务指标
    void updateCourseService(@Param("courseIds") String courseIds, @Param("serviceFlag") int serviceFlag);
}